/*anniStyle.css
 S. Pichard 02.2025
*/
*
{
	box-sizing: border-box;
}
 /* main de anniTest */
#anniPage
{
	margin-left: 5px;
	margin-right: 5px;
}
form
{	
	width: 660px;
	max-width: 96%;
}
#aniDates
{
	position: relative;
	left: 10%;
}
#aniDates div /* form de listDates.php */
{
	margin-bottom: 2px;
}
#aniCtct input /* form de formAnniv.php */
{
	position: relative;
	left: 5px;
}
input
{
	cursor: pointer;
}
fieldset
{
	border: 2px white ridge;
	border-radius: 8px;
	background-color: lightgrey;
	margin-top: 2px;
	margin-bottom: 2px;
	padding-left: 10px;
	padding-top: 10px;

	display: flex;
	flex-direction: column;
}
legend
{
	color: blue;
	font-size: 1.3em;
	font-weight: bold;
	text-align: center;
}
label
{
	color: darkblue;
}
textarea
{
	width: 90%;
}
select
{
	max-width: 220px;
}
comment
{
	font-size: .8em;
	font-style: italic;
	color: #3f3f3f;
}
.anniMn 
{
	
}
.b_1
{
	position: relative;
	left: 0px;
	text-align: right;
}
.b_1 input
{
	background-color: white;
	text-shadow: 2px 2px 2px lightgrey;
	max-width: 200px;
	border-radius: 3px;
}
.b_2 ul
{
	list-style-type: none;
}
/* --- allignement grid sur 3 colonnes --- */
.fs_1
{
	display: grid;
	grid-template-columns: .7fr .3fr 1.8fr;
	grid-template-rows: 2em 1.5em 1.5em 1.5em 1.5em 1.5em 1.5em ;
	grid-gap: 4px;
}
.fs_2
{
	display: grid;
	grid-template-columns: .7fr .3fr 1.8fr;
	grid-template-rows: 2em 3.5em 1.5em 1.5em 1.5em 8em 8em 9em ;
	grid-gap: 4px;
}
.fs_2 div
{
	
}
.legende, .fourCln
{
	grid-column: 1 / 4;
}
.i_1
{
	grid-column: 2 / 4;
}
.i_2
{
	grid-column: 1 / 2;
}
.i_3
{
	grid-column: 2 / 4;
}
.i_4
{
	grid-column: 2 / 3;
}
.u_1, .u_2
{
	grid-column: 2 / 4;
}
/* -------------------- */
.bouttons
{
	display: flex;
	justify-content: center;
}
.btnDate /* liste de dates à cliquer  */
{
	padding: 5px;
	width: 13em;
	background-color: lightgrey;
	border: 1px solid darkgray;
	border-radius: 3px;
}
.btnDate:hover
{
	background-color: lightsteelblue;
}
.flotte /* image flottante */
{
	height: auto;
	max-width: 33%;
	margin: 3px;
	float: right;
}
.printBouton
{
	margin: 3px;
	justify-self: center;
	justify-content: center;
}
.printBouton input
{
	width: 10em;
	padding: 5px;
	border: 1px ridge darkblue;
	border-radius: 5px;
	background-color: #4773CC;
	color: white;
}
.printBouton input:hover
{
	color: darkblue;
	border: 1px solid lightgrey;
}